// File : MotorM.java
// Gen Date : 2005.11.11
// Rev : B
// Package : module
// Writer :   

package moduleMonitor.screen;

import javax.swing.ImageIcon;

class RadMotorM extends ModuleM
{
	public RadMotorM(ScreenControlFace screen)
	{
		super(screen);
		moduleIcon[0] = new ImageIcon("moduleMonitor/image/rad_off.gif");
		moduleIcon[1] = new ImageIcon("moduleMonitor/image/rad_on.gif");
	}


	public void reset()
	{
		setCurrentValue(NORMAL_VALUE);
		setState(NORMAL_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStart()
	{
		setCurrentValue(START_VALUE);
		setState(START_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStop()
	{
		setCurrentValue(STOT_VALUE);
		setState(STOT_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	public int getState()
	{
		return state;
	}
	
	public void setState(int value)
	{
		this.state = value;
		moduleImage.setIcon(moduleIcon[value]);
	}
/*
	{
		this.state = value;
		if (state >= RAD_THREASHOLD)
		{
			moduleImage.setIcon(moduleIcon[RAD_ON_STATE]);
		}
		else
		{
			moduleImage.setIcon(moduleIcon[RAD_OFF_STATE]);
		}
	}
*/	
	public int getCurrentValue()
	{
		return currentValue;
	}
	
	public void setCurrentValue(int currentValue)
	{
//		p.r(this,moduleName,currentValue);
		this.currentValue = currentValue;
		setState(currentValue);
		valueLabel.setText(status[currentValue]);
	}

}

