// File : ModuleM.java
// Gen Date : 2005.12.12
// Rev : C
// Package : module
// Writer :   

package moduleMonitor.screen;

import javax.swing.ImageIcon;

class ValveM extends ModuleM
{
	public ValveM(ScreenControlFace screen)
	{
		super(screen);
		moduleIcon[0] = new ImageIcon("moduleMonitor/image/close.gif");
		moduleIcon[1] = new ImageIcon("moduleMonitor/image/open.gif");
	}

	public void reset()
	{
		setCurrentValue(NORMAL_VALUE);
		setState(NORMAL_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void openValve()
	{
		setCurrentValue(OPEN_VALUE);
		setState(OPEN_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void closeValve()
	{
		setCurrentValue(CLOSE_VALUE);
		setState(CLOSE_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	public int getState()
	{
		return state;
	}
	
	public void setState(int value)
	{
		this.state = value;
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public int getCurrentValue()
	{
		return currentValue;
	}
	
	public void setCurrentValue(int currentValue)
	{
//		p.r(this,moduleName,currentValue);
		this.currentValue = currentValue;
		setState(currentValue);
		valueLabel.setText(status[currentValue]);
	}
}
