// File : ModuleThread.java
// Gen Date : 2005.12.8
// Rev : C
// Package : module
// Writer :   

package moduleMonitor.module;

import java.util.Iterator;
import java.util.Vector;

import moduleMonitor.utility.InitProperty;
import moduleMonitor.utility.p;

class ModuleStateThread implements Runnable
{
	ModuleFace moduleP;
	InitProperty initProperty;
	int moduleNo;
	int moduleValue;
	String moduleName;
	int MODULE_PAUSE_TIME;
	int protocol;
	int SIZE;
	int ROW;
	int COL;
	boolean LOOP = true;
	
	int DIGIT;
	int[][][] moduleStateA;
	Vector moduleV;
	Iterator iter;
	
	public ModuleStateThread(ModuleControlFace pseudoModule, int MODULE_PAUSE_TIME)
	{
		moduleStateA = pseudoModule.getModuleStateA();
		moduleV = pseudoModule.getModuleV();
		initProperty = InitProperty.getInstance();
		this.MODULE_PAUSE_TIME = MODULE_PAUSE_TIME;
		ROW = Integer.parseInt(initProperty.getValue("ROW"));
		COL = Integer.parseInt(initProperty.getValue("COL"));
	}
	
	public void run()
	{
		while(LOOP)
		{
			iter = moduleV.iterator();
			while(iter.hasNext())
			{
				moduleP = ((ModuleFace)iter.next());
				moduleName = moduleP.getModuleName();
				moduleNo = moduleP.getModuleNo();
				moduleValue = moduleP.getCurrentValue();
				p.r(this, "moduleName", moduleName);
				p.r(this, "moduleNo", moduleNo);
				p.r(this, "moduleValue", moduleValue);
				
				{
//					for (int row=0;row<ROW;row++)
//					{
//						for(int col=0;col<COL;col++)
//						{
//							for(int k=0; k<2; k++)
//							{
//								System.out.print(this.toString());
//								System.out.print("moduleStateA[");
//								System.out.print(row);
//								System.out.print("]");
//								System.out.print("[");
//								System.out.print(col);
//								System.out.print("]");
//								System.out.print("[");
//								System.out.print(k);
//								System.out.print("] : ");
//								System.out.println(moduleStateA[row][col][k]);
//							}
//						}
//					}
					p.r(this,"run",moduleStateA);
					if(moduleStateA[(moduleNo-moduleNo%100)/100][moduleNo%10][1]==1)
					{
						moduleP.setCurrentValue(moduleStateA[(moduleNo-moduleNo%10)/100][moduleNo%10][0]);
						moduleStateA[(moduleNo-moduleNo%100)/100][moduleNo%10][1] = 0;
					}
					else
					{
						moduleStateA[(moduleNo-moduleNo%100)/100][moduleNo%10][0] = moduleP.getCurrentValue();
					}
				}
			}					
			try
			{
				Thread.currentThread().sleep(MODULE_PAUSE_TIME);
			}
			catch (Exception e)
			{
				e.printStackTrace();
			}
		}
	}
}
