// File : MotorP.java
// Gen Date : 2005.11.11
// Rev : B
// Package : module
// Writer :   

package moduleMonitor.module;

import javax.swing.ImageIcon;

class MotorP extends ModuleP
{
	public MotorP(ModuleControlFace pseudoModule)
	{
		super(pseudoModule);
		moduleIcon[0] = new ImageIcon("moduleMonitor/image/motor_off.gif");
		moduleIcon[1] = new ImageIcon("moduleMonitor/image/motor_on.gif");
	}

/*
	public void notify( int moduleNo, int protocol)
	{
		if (this.moduleNo == moduleNo)
		{
			switch(protocol)
			{
//MotorP
				case 0600://OPER_SW_RESET: // <- server
					reset();
					break;
				
				case 1111://0601://OPER_SW_READ: // <- sensor
					sendDatum();
					break;
				
				case 0602://OPER_SW_START: // <- server
					operationStart();
					break;
				
				case 0603://OPER_SW_STOP: // <- server
					operationStop();
					break;

				case 7777://OPER_SW_READ: // <- sensor
					setState(getCurrentValue());
					sendDatum();
					break;
			}
		}
	}
*/
	public void reset()
	{
		setCurrentValue(NORMAL_VALUE);
		setState(NORMAL_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStart()
	{
		setCurrentValue(START_VALUE);
		setState(START_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStop()
	{
		setCurrentValue(STOT_VALUE);
		setState(STOT_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	public int getState()
	{
		return state;
	}
	
	public void setState(int value)
	{
		this.state = value;
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public int getCurrentValue()
	{
		return currentValue;
	}
	
	public void setCurrentValue(int value)
	{
//		p.r(this,moduleName,value);
		this.currentValue = value;
		setState(currentValue);
		valueLabel.setText(status[currentValue]);
	}
}

