// File : ModuleP.java
// Gen Date : 2005.12.12
// Rev : C
// Package : module
// Writer :   

package moduleMonitor.module;

import javax.swing.ImageIcon;

class ValveP extends ModuleP
{
	public ValveP(ModuleControlFace pseudoModule)
	{
		super(pseudoModule);
		moduleIcon[0] = new ImageIcon("moduleMonitor/image/close.gif");
		moduleIcon[1] = new ImageIcon("moduleMonitor/image/open.gif");
	}

/*	public void notify( int moduleNo, int protocol)
	{
		if (this.moduleNo == moduleNo)
		{
			switch(protocol)
			{
//INLET
				case 0300://INLET_RESET: // <- server
					reset();
					break;
				
				case 1111://0301://INLET_READ: // <- sensor
					sendDatum();
					break;
				
				case 0302://INLET_OPEN: // <- server
					openValve();
					break;
				
				case 0303://INLET_CLOSE: // <- server
					closeValve();
					break;

//CHECK
				case 0400://CHECK_RESET: // <- server
					reset();
					break;
				
				case 0401://CHECK_READ: // <- sensor
					sendDatum();
					break;
				
				case 0402://CHECK_OPEN: // <- server
					openValve();
					break;
				
				case 0403://CHECK_CLOSE: // <- server
					closeValve();
					break;

//DRAIN
				case 0500://DRAIN_RESET: // <- server
					reset();
					break;
				
				case 0501://DRAIN_READ: // <- sensor
					sendDatum();
					break;
				
				case 0502://DRAIN_OPEN: // <- server
					openValve();
					break;
				
				case 0503://DRAIN_CLOSE: // <- server
					closeValve();
					break;

				case 7777://VALVE READ: // <- sensor
					setState(getCurrentValue());
					sendDatum();
					break;
			}
		}
	}
*/
	public void reset()
	{
		setCurrentValue(NORMAL_VALUE);
		setState(NORMAL_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStart()
	{
		setCurrentValue(OPEN_VALUE);
		setState(OPEN_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStop()
	{
		setCurrentValue(CLOSE_VALUE);
		setState(CLOSE_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	public int getState()
	{
		return state;
	}
	
	public void setState(int value)
	{
		this.state = value;
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public int getCurrentValue()
	{
		return currentValue;
	}
	
	public void setCurrentValue(int value)
	{
//		p.r(this,moduleName,value);
		this.currentValue = value;
		setState(currentValue);
		valueLabel.setText(status[currentValue]);
	}
}
