// FILE: DemonThread.java
// 2006.01.01
// Rev : A
// package sewageRemoteControl;
// writer : ѽ¹


package moduleMonitor.monitor;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;

import moduleMonitor.screen.ScreenListener;
import moduleMonitor.utility.InitProperty;
import moduleMonitor.utility.p;


class DemonThread implements Runnable
{
	ScreenListener screen;
	String clientAddress;
	Socket socket2Client;
	DataInputStream dis;
	DataOutputStream dos;
	boolean EXIT = false;
	String message;
	
/*	int valveValue;
	int radValue;
	int levelValue;
*/	
	Object info;
	String title = null;
	String moduleName = null;
	String levelValue;
	String outletValveValue;
	String inletValveValue;
	String radvalue;
	byte[] data;
	String CHAR_SET;
	InitProperty initProperty;
	int[][][] moduleStateA;
	int SIZE;
	int PACKETSIZE;
	int ROW;
	int COL;
	
	int PAUSE_TIME;
	int ERROR_COUNT = 0 ;
	int error_count = 0 ;
	Thread thisThread;
	static int NO;
	int protocol;
	int value;
	int moduleNo;
	int READ_MODULE_VALUE;
	int MODULEIDX;
	int SYSTEMIDX;
	int CMDSRTIDX;	
	int DATAIDX;
	int DIGIT;
	int STATER;

	
	public DemonThread(ModuleMonitorFace moduleMonitor, String systemID, ScreenListener screen, DataInputStream dis, int PAUSE_TIME) throws IOException
	{
		this.screen = screen;
		this.dis = dis;
		this.PAUSE_TIME = PAUSE_TIME;
		initProperty = InitProperty.getInstance();
		READ_MODULE_VALUE = Integer.parseInt(initProperty.getValue("READ_MODULE_VALUE"));
		SIZE = Integer.parseInt(initProperty.getValue("SIZE"));
		PACKETSIZE = Integer.parseInt(initProperty.getValue("PACKETSIZE"));
		ROW = Integer.parseInt(initProperty.getValue("ROW"));
		COL = Integer.parseInt(initProperty.getValue("COL"));
		CHAR_SET = initProperty.getValue("CHAR_SET");
		SYSTEMIDX = Integer.parseInt(initProperty.getValue("SYSTEMIDX"));
		MODULEIDX = Integer.parseInt(initProperty.getValue("MODULEIDX"));
		CMDSRTIDX = Integer.parseInt(initProperty.getValue("CMDSRTIDX"));
		DATAIDX = Integer.parseInt(initProperty.getValue("DATAIDX"));
		DIGIT = Integer.parseInt(initProperty.getValue("DIGIT"));
		STATER = Integer.parseInt(initProperty.getValue("STATER"));
//		data = new byte[SIZE];
		data = new byte[PACKETSIZE];
		moduleStateA = moduleMonitor.getModuleStateA();
	}
	
	public void run()
	{
		String moduleID;
		String command;
		String state;
	
		while(!EXIT)
		{
			try
			{
//				dis.readFully(data);
//				dis.read(data,0,SIZE);
				dis.readFully(data);
				message = new String(data,CHAR_SET);
				p.r(this,"Full MSG : ", message);
				if( ! (message == null))
				{
					command = message.substring(MODULEIDX,CMDSRTIDX);
					protocol = Integer.parseInt(command)-DIGIT;
					p.r(this,"module -> protocol",protocol);
					if (protocol == STATER)
					{
						for ( int row = 0 ; row < ROW ; row++)
						{
							for ( int col = 0; col < COL; col ++)
							{
								moduleID = message.substring(DATAIDX + 8 *(COL * row + col), DATAIDX + 8 *(COL * row + col) + 4);
								moduleNo = Integer.parseInt(moduleID)-DIGIT;
//								p.r(this,"moduleNo", moduleNo);
								state = message.substring(DATAIDX + 8 *(COL * row + col) + 4, DATAIDX + 8 *(COL * row + col +1));
								value = Integer.parseInt(state)-DIGIT;
//								p.r(this,"value", value);
								moduleStateA[row][col][0] = value;
							}
						}
					}
					else
					{
						// server control algorithm
						p.r(this, "bypass this command");
					}
				}
				else
				{
					Thread.currentThread().sleep(PAUSE_TIME);
				}
			}
			
			catch(Exception e)
			{
				p.r(this,"DemonThread halted...");
				EXIT = true;
			}
		}
	}		
}
