// File : LevelSensorM.java
// Gen Date : 2005.11.16
// Rev : B
// Package : module
// Writer :   

package moduleMonitor.screen;

import javax.swing.JSlider;

import moduleMonitor.utility.InitProperty;

class LevelSensorM extends SensorM
{
	public LevelSensorM(ScreenControlFace screen)
	{
		super(screen);
		InitProperty initProperty = InitProperty.getInstance();
		MIN = Integer.parseInt(initProperty.getValue("LEVEL_MIN"));
		MAX = Integer.parseInt(initProperty.getValue("LEVEL_MAX"));
		INITIAL = Integer.parseInt(initProperty.getValue("LEVEL_INIT"));
		makeSlider(JSlider.VERTICAL,MIN,(int)(MAX*100/MAX),INITIAL);
	}

	public void setState(int value)
	{
		this.state = value;
		getSlider().setValue(value);
	}


	public void setCurrentValue(int currentValue)
	{
//		p.r(this,moduleName,currentValue);
		this.currentValue = currentValue;
		setState(currentValue);
		valueLabel.setText(String.valueOf(currentValue));
	}

}
