// File : MotorM.java
// Gen Date : 2005.11.11
// Rev : B
// Package : module
// Writer :   

package moduleMonitor.screen;

import javax.swing.ImageIcon;

class MotorM extends ModuleM
{
	public MotorM(ScreenControlFace screen)
	{
		super(screen);
		moduleIcon[0] = new ImageIcon("moduleMonitor/image/motor_off.gif");
		moduleIcon[1] = new ImageIcon("moduleMonitor/image/motor_on.gif");
	}

	public void reset()
	{
		setCurrentValue(NORMAL_VALUE);
		setState(NORMAL_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStart()
	{
		setCurrentValue(START_VALUE);
		setState(START_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public void operationStop()
	{
		setCurrentValue(STOT_VALUE);
		setState(STOT_STATE);
		moduleImage.setIcon(moduleIcon[state]);
	}

	public int getState()
	{
		return state;
	}
	
	public void setState(int value)
	{
		this.state = value;
		moduleImage.setIcon(moduleIcon[state]);
	}
	
	public int getCurrentValue()
	{
		return currentValue;
	}
	
	public void setCurrentValue(int currentValue)
	{
//		p.r(this,moduleName,currentValue);
		this.currentValue = currentValue;
		setState(currentValue);
		valueLabel.setText(status[currentValue]);
	}
}

