// File : ScreenThread.java
// Gen Date : 2005.12.19
// Rev : Org
// Package : monitor
// Writer :   

package moduleMonitor.screen;

import java.util.Enumeration;

import javax.swing.JLabel;

import moduleMonitor.utility.InitProperty;
import moduleMonitor.utility.p;

class ScreenThread implements Runnable
{
	String message;
	ScreenListener screen;
	ModuleFaceM[][] moduleA;
	int[][][] moduleStateA;
	JLabel msgLabel;
	int moduleNo;
	int UPDATE_INTERVAL_TIME;
	int protocol;
	int SIZE;
	int MODULEIDX;
	int SYSTEMIDX;
	int CMDSRTIDX;
	int READ_COMMAND;
	int ON_COMMAND;
	int OFF_COMMAND;
	int GET_COMMAND;
	int COL;
	int ROW;
	
	int LEVEL_MIN;
	int LEVEL_MAX;
	int LEVEL_INIT;
	int LEVEL_THREASHOLD;

	int RAD_MIN;
	int RAD_MAX;
	int RAD_INIT;
	int RAD_THREASHOLD;

	String systemID;
	char[] data;
	boolean LOOP = true;
	Enumeration iter;

	
	public ScreenThread(String systemID, ModuleFaceM[][] moduleA, int[][][] moduleStateA, ScreenListener screen)
	{
		this.moduleA = moduleA; 
		this.screen = screen;
		this.systemID = systemID;
		this.moduleStateA = moduleStateA;
		data = new char[SIZE];

		InitProperty initProperty = InitProperty.getInstance();
		SIZE = Integer.parseInt(initProperty.getValue("SIZE"));
		SYSTEMIDX = Integer.parseInt(initProperty.getValue("SYSTEMIDX"));
		MODULEIDX = Integer.parseInt(initProperty.getValue("MODULEIDX"));
		CMDSRTIDX = Integer.parseInt(initProperty.getValue("CMDSRTIDX"));
		READ_COMMAND = Integer.parseInt(initProperty.getValue("READ_COMMAND"));
		ON_COMMAND = Integer.parseInt(initProperty.getValue("ON_COMMAND"));
		OFF_COMMAND = Integer.parseInt(initProperty.getValue("OFF_COMMAND"));
		GET_COMMAND = Integer.parseInt(initProperty.getValue("GET_COMMAND"));
		COL = Integer.parseInt(initProperty.getValue("COL"));
		ROW = Integer.parseInt(initProperty.getValue("ROW"));

		RAD_THREASHOLD = Integer.parseInt(initProperty.getValue("RAD_THREASHOLD"));
		RAD_INIT= Integer.parseInt(initProperty.getValue("RAD_INIT"));
		RAD_MAX = Integer.parseInt(initProperty.getValue("RAD_MAX"));
		RAD_MIN = Integer.parseInt(initProperty.getValue("RAD_MIN"));
		LEVEL_THREASHOLD = Integer.parseInt(initProperty.getValue("LEVEL_THREASHOLD"));
		LEVEL_INIT = Integer.parseInt(initProperty.getValue("LEVEL_INIT"));
		LEVEL_MAX = Integer.parseInt(initProperty.getValue("LEVEL_MAX"));
		LEVEL_MIN = Integer.parseInt(initProperty.getValue("LEVEL_MIN"));
	}
	
	public void run()
	{
		while(LOOP)
		{
			try
			{
				for (int row = 0; row < ROW; row++)
				{
					for (int col = 0; col < COL ; col++)
					{
						moduleA[row][col].setCurrentValue( moduleStateA[row][col][0]);
//						System.out.print(this.toString());
//						System.out.print("moduleStateA[");
//						System.out.print(row);
//						System.out.print("]");
//						System.out.print("[");
//						System.out.print(col);
//						System.out.print("] : ");
//						System.out.println(moduleStateA[row][col][0]);
					}
				}
				Thread.currentThread().sleep(UPDATE_INTERVAL_TIME);
			}
			catch(Exception e)
			{
				p.r(this,"Screen thread halted...  row = 0");
			}
		}
	}
}
